Bug 1307096 - disk description is too long to fit into a space allocated in storage profile window
disk description is too long to fit into a space allocated in storage profile...
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity low
: ---
: 2
Assigned To: kamlesh
Martin Kudlej
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 12:14 EST by Martin Bukatovic
Modified: 2016-08-03 09:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhscon-core-0.0.34-1.el7scon.x86_64 rhscon-ceph-0.0.33-1.el7scon.x86_64 rhscon-ui-0.0.47-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of storage profile modal window (78.41 KB, image/png)
2016-02-12 12:14 EST, Martin Bukatovic
no flags Details
updated screenshot of storage profile page (56.57 KB, image/png)
2016-06-20 15:06 EDT, Martin Bukatovic
no flags Details
updated screenshot of storage profile page - responsive design example (59.20 KB, image/png)
2016-06-20 15:07 EDT, Martin Bukatovic
no flags Details
updated screenshot of storage profile page - unreadable case (55.09 KB, image/png)
2016-06-20 15:08 EDT, Martin Bukatovic
no flags Details

  None (edit)
Description Martin Bukatovic 2016-02-12 12:14:04 EST
Created attachment 1123596 [details]
screenshot of storage profile modal window

Description of problem
======================

Information about available disks in Storage Profiles modal window
doesn't fit in the space allocated there.

Version-Release number of selected component
============================================

# rpm -qa 'rhscon*'
rhscon-ceph-0.0.6-2.el7.x86_64
rhscon-ui-0.0.11-1.el7.noarch
rhscon-core-0.0.8-2.el7.x86_64

How reproducible
================

100 %

Steps to Reproduce
==================

1. Start "Create Cluster" task
2. Select all hosts in "2. Select Hosts" page
3. Click on Edit link (right next to the number of disks in "Select Hosts" page)
4. When "modal window" for storage profiles is shown, click on general profile
   (or any other which will hold all the disks by default)
5. See available disks info on the right hand side

Actual results
==============

There is a box for each disk added into the cluster, information has a form:

full_hostname:full_device_path,

So for example something like:

mbukatov-usm2-node2.test.os.example.com:/dev/sdb

The problem is that this line is too long to fit into the box and so
the information provided there are not readable.

Expected results
================

It's possible to read description of each disk,
no text goes outside of the box.

Additional info
===============

I would suggest to change design of the boxes so that the
information would fit there.
Comment 3 Nishanth Thomas 2016-06-20 08:39:33 EDT
Can you verify this in latest build
Comment 4 Martin Bukatovic 2016-06-20 15:05:29 EDT
Using current build available for QE team: rhscon-ui-0.0.39-1.el7scon.noarch,
I see that:

* only 1st part of the host name is used, so with a normal sized browser window,
  one would not see this issue
* moreover when I make the window smaller a bit, I see that the hostname and
  device path wrapped to the 2nd line so that the information is still visible
  (wrapped though)
* even smaller window changes the page geometry so that the full information is
  visible again

On the other hand, there is a special case when between 2nd and 3rd case where
the information is not visible (see attached screenshot) - but given the current
responsive design of the page, I don't see this as a big issue.
Comment 5 Martin Bukatovic 2016-06-20 15:06 EDT
Created attachment 1169969 [details]
updated screenshot of storage profile page
Comment 6 Martin Bukatovic 2016-06-20 15:07 EDT
Created attachment 1169970 [details]
updated screenshot of storage profile page - responsive design example
Comment 7 Martin Bukatovic 2016-06-20 15:08 EDT
Created attachment 1169971 [details]
updated screenshot of storage profile page - unreadable case
Comment 8 Nishanth Thomas 2016-06-21 08:19:29 EDT
Moving to ON_QA as per Martin's comment
Comment 9 Martin Kudlej 2016-08-03 09:52:09 EDT
Tested with
ceph-ansible-1.0.5-31.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.39-1.el7scon.x86_64
rhscon-core-0.0.39-1.el7scon.x86_64
rhscon-core-selinux-0.0.39-1.el7scon.noarch
rhscon-ui-0.0.51-1.el7scon.noarch
and I see only  issue from attachment 1169971 [details] and I think this is acceptable. Otherwise we can reopen this issue.

Note You need to log in before you can comment on or make changes to this bug.